<?php
// пример работы с классом
header('Content-Type: text/html; charset=utf-8');

$arr = [];
if ( isset($_POST['domainlist']) ) {
    include_once 'YandexIks.php';
    $domainlist = explode("\n", $_POST['domainlist']);
    $domainlist = array_map('trim', $domainlist);
    
    foreach ($domainlist as $domain) {
        if (!$domain) continue;
        $arr[] = [$domain, YandexIks::getValueFromImage($domain)];
    }
}
?><!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Получение значения ИКС</title>
    <script type="text/javascript">
      window.addEventListener('load', function (){
        document.querySelector('input[type=submit]').onclick = function(){
            var
                txt = document.querySelector('textarea'),
                val = txt.value,
                domainlist = val.split("\n"),
                arr = [];
            
            for (let i in domainlist) {
                domainlist[i] = domainlist[i].replace(/[\s\uFEFF]+$/, '').replace(/^[\s\uFEFF]$/, '');
                if ('' != domainlist[i]) {
                    arr.push(domainlist[i].replace(/^([^:]+:\/\/)?([^\/]+).*$/, '$2'));
                }
            }
            
            txt.value = arr.join("\n");
            
            return arr.length > 0;
        };
      });
    </script>
  </head>
  
  <body>
    <h1>Получение значения Яндекс ИКС для группы доменов</h1>
    <form action="" method="post">
      <p><textarea name="domainlist" cols="50" rows="20"></textarea><br>Введите домены, каждый с новой строки</p>
      <p><input type="submit" value="ok"></p>
    </form>
    
    <?php if ($arr) {
        echo '<table cellspacing="0" cellpadding="4" border="1">';
        foreach ($arr as $v) {
            $domain = htmlspecialchars($v[0]);
            $iks = $v[1];
            echo <<<EOL
    
    <tr>
        <td>$domain</td>
        <td>$iks</td>
    </tr>
EOL;
        }
        echo "\n    </table>";
    } ?>
    
  </body>
</html>