<?php
/**
 * Пример работы с классом, вывод в *.csv
 *
 * Скрипт получает параметр ИКС для запрашиваемых доменов и отдаёт .csv-файл.
 * Открыть можно с мощью Excel или OpenOffice Calc.
 * Разделитель значений — ; (точка с запятой)
 */

if ( isset($_POST['domainlist']) ) {
    include_once 'YandexIks.php';
    // FIX! ОС от Apple для перевода строк используют \r
    $_POST['domainlist'] = preg_replace("![\r\n]+!", "\n", $_POST['domainlist']);
    $domainlist = explode("\n", $_POST['domainlist']);
    $domainlist = array_map('trim', $domainlist);
    
    $csv = "Domain;IKS\r\n";
    foreach ($domainlist as $domain) {
        if (!$domain) continue;
        $iks = YandexIks::getValueFromImage($domain);
        $csv .= $domain . ';' . (is_numeric($iks) ? $iks : '—') . "\r\n";
    }
    
    header('Content-Type: text/csv');
    header('Content-Disposition: attachment; filename="IKS-' . date('Y-m-d_H-i-s') . '.csv"');
    header('Content-Transfer-Encoding: binary');
    header('Content-Length: ' . strlen($csv));
    die($csv);
}

header('Content-Type: text/html; charset=utf-8');
?><!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Получение значения ИКС</title>
    <script type="text/javascript">
      window.addEventListener('load', function (){
        document.querySelector('input[type=submit]').onclick = function(){
            var
                txt = document.querySelector('textarea'),
                val = txt.value,
                domainlist = val.split("\n"),
                arr = [];
            
            for (let i in domainlist) {
                domainlist[i] = domainlist[i].replace(/[\s\uFEFF]+$/, '').replace(/^[\s\uFEFF]$/, '');
                if ('' != domainlist[i]) {
                    arr.push(domainlist[i].replace(/^([^:]+:\/\/)?([^\/]+).*$/, '$2'));
                }
            }
            
            txt.value = arr.join("\n");
            
            return arr.length > 0;
        };
      });
    </script>
  </head>
  
  <body>
    <h1>Получение значения Яндекс ИКС для группы доменов</h1>
    <form action="" method="post" target="_blank">
      <p><textarea name="domainlist" cols="50" rows="20"></textarea><br>Введите домены, каждый с новой строки</p>
      <p><input type="submit" value="ok"></p>
    </form>
  </body>
</html>